Index: branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Convert.cs
===================================================================
--- branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 7801)
+++ branches/GP-MoveOperators/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 8085)
@@ -200,4 +200,38 @@
     #endregion
 
+    #region Resource
+    public static DT.Resource ToDto(DB.Resource source) {
+      if (source == null) return null;
+      return new DT.Resource { Id = source.ResourceId, Name = source.Name, ParentResourceId = source.ParentResourceId, HbInterval = source.HbInterval, OwnerUserId = source.OwnerUserId };
+    }
+    public static DB.Resource ToEntity(DT.Resource source) {
+      if (source == null) return null;
+      var entity = new DB.Resource(); ToEntity(source, entity);
+      return entity;
+    }
+    public static void ToEntity(DT.Resource source, DB.Resource target) {
+      if ((source != null) && (target != null)) {
+        target.ResourceId = source.Id; target.Name = source.Name; target.ParentResourceId = source.ParentResourceId; target.HbInterval = source.HbInterval; target.OwnerUserId = source.OwnerUserId;
+      }
+    }
+    #endregion
+
+    #region SlaveGroup
+    public static DT.SlaveGroup ToDto(DB.SlaveGroup source) {
+      if (source == null) return null;
+      return new DT.SlaveGroup { Id = source.ResourceId, Name = source.Name, ParentResourceId = source.ParentResourceId, HbInterval = source.HbInterval, OwnerUserId = source.OwnerUserId };
+    }
+    public static DB.SlaveGroup ToEntity(DT.SlaveGroup source) {
+      if (source == null) return null;
+      var entity = new DB.SlaveGroup(); ToEntity(source, entity);
+      return entity;
+    }
+    public static void ToEntity(DT.SlaveGroup source, DB.SlaveGroup target) {
+      if ((source != null) && (target != null)) {
+        target.ResourceId = source.Id; target.Name = source.Name; target.ParentResourceId = source.ParentResourceId; target.HbInterval = source.HbInterval; target.OwnerUserId = source.OwnerUserId;
+      }
+    }
+    #endregion
+
     #region Slave
     public static DT.Slave ToDto(DB.Slave source) {
@@ -218,5 +252,7 @@
         LastHeartbeat = source.LastHeartbeat,
         CpuUtilization = source.CpuUtilization,
-        HbInterval = source.HbInterval
+        HbInterval = source.HbInterval,
+        IsDisposable = source.IsDisposable,
+        OwnerUserId = source.OwnerUserId
       };
     }
@@ -243,62 +279,23 @@
         target.CpuUtilization = source.CpuUtilization;
         target.HbInterval = source.HbInterval;
-      }
-    }
-    #endregion
-
-    #region SlaveGroup
-    public static DT.SlaveGroup ToDto(DB.SlaveGroup source) {
-      if (source == null) return null;
-      return new DT.SlaveGroup { Id = source.ResourceId, Name = source.Name, ParentResourceId = source.ParentResourceId, HbInterval = source.HbInterval };
-    }
-    public static DB.SlaveGroup ToEntity(DT.SlaveGroup source) {
-      if (source == null) return null;
-      var entity = new DB.SlaveGroup(); ToEntity(source, entity);
-      return entity;
-    }
-    public static void ToEntity(DT.SlaveGroup source, DB.SlaveGroup target) {
-      if ((source != null) && (target != null)) {
-        target.ResourceId = source.Id; target.Name = source.Name; target.ParentResourceId = source.ParentResourceId; target.HbInterval = source.HbInterval;
-      }
-    }
-    #endregion
-
-    #region Resource
-    public static DT.Resource ToDto(DB.Resource source) {
-      if (source == null) return null;
-      return new DT.Resource { Id = source.ResourceId, Name = source.Name, ParentResourceId = source.ParentResourceId, HbInterval = source.HbInterval };
-    }
-    public static DB.Resource ToEntity(DT.Resource source) {
-      if (source == null) return null;
-      var entity = new DB.Resource(); ToEntity(source, entity);
-      return entity;
-    }
-    public static void ToEntity(DT.Resource source, DB.Resource target) {
-      if ((source != null) && (target != null)) {
-        target.ResourceId = source.Id; target.Name = source.Name; target.ParentResourceId = source.ParentResourceId; target.HbInterval = source.HbInterval;
-      }
-    }
-    #endregion
-
-    #region Statistics
-    public static DT.Statistics ToDto(DB.Statistics source) {
-      if (source == null) return null;
-      return new DT.Statistics {
-        Id = source.StatisticsId,
-        TimeStamp = source.Timestamp,
-        SlaveStatistics = source.SlaveStatistics.Select(x => Convert.ToDto(x)).ToArray(),
-        UserStatistics = source.UserStatistics.Select(x => Convert.ToDto(x)).ToArray()
-      };
-    }
-    public static DB.Statistics ToEntity(DT.Statistics source) {
-      if (source == null) return null;
-      var entity = new DB.Statistics(); ToEntity(source, entity);
-      return entity;
-    }
-    public static void ToEntity(DT.Statistics source, DB.Statistics target) {
-      if ((source != null) && (target != null)) {
-        target.StatisticsId = source.Id;
-        target.Timestamp = source.TimeStamp;
-
+        target.IsDisposable = source.IsDisposable;
+        target.OwnerUserId = source.OwnerUserId;
+      }
+    }
+    #endregion
+
+    #region ResourcePermission
+    public static DT.ResourcePermission ToDto(DB.ResourcePermission source) {
+      if (source == null) return null;
+      return new DT.ResourcePermission { ResourceId = source.ResourceId, GrantedUserId = source.GrantedUserId, GrantedByUserId = source.GrantedByUserId };
+    }
+    public static DB.ResourcePermission ToEntity(DT.ResourcePermission source) {
+      if (source == null) return null;
+      var entity = new DB.ResourcePermission(); ToEntity(source, entity);
+      return entity;
+    }
+    public static void ToEntity(DT.ResourcePermission source, DB.ResourcePermission target) {
+      if ((source != null) && (target != null)) {
+        target.ResourceId = source.ResourceId; target.GrantedUserId = source.GrantedUserId; target.GrantedByUserId = source.GrantedByUserId;
       }
     }
@@ -332,4 +329,28 @@
         target.FreeMemory = source.FreeMemory;
         target.Memory = source.Memory;
+      }
+    }
+    #endregion
+
+    #region Statistics
+    public static DT.Statistics ToDto(DB.Statistics source) {
+      if (source == null) return null;
+      return new DT.Statistics {
+        Id = source.StatisticsId,
+        TimeStamp = source.Timestamp,
+        SlaveStatistics = source.SlaveStatistics.Select(x => Convert.ToDto(x)).ToArray(),
+        UserStatistics = source.UserStatistics.Select(x => Convert.ToDto(x)).ToArray()
+      };
+    }
+    public static DB.Statistics ToEntity(DT.Statistics source) {
+      if (source == null) return null;
+      var entity = new DB.Statistics(); ToEntity(source, entity);
+      return entity;
+    }
+    public static void ToEntity(DT.Statistics source, DB.Statistics target) {
+      if ((source != null) && (target != null)) {
+        target.StatisticsId = source.Id;
+        target.Timestamp = source.TimeStamp;
+
       }
     }
